/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/core/memory/allocpool.cpp

*/

#include "sgx/core/core.hpp"

CSGXMemoryAllocatorPool::CSGXMemoryAllocatorPool(void *ptr, const tMEM_SIZE size, const tMEM_SIZE entrySize, const CSGXMemoryAlignment &alignment) :
	CSGXMemoryAllocator(ptr, size, alignment) {
 SGX_UNUSED(entrySize);
}

void *CSGXMemoryAllocatorPool::alloc(const tMEM_SIZE size) {
	return (void *)new tBYTE[size];
}
 
tBOOL CSGXMemoryAllocatorPool::freePtr(void *ptr) {
	delete (tBYTE *)ptr;
	return TRUE;
}
 
